ReferenceItem lists
Customs codes
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/customs-codes' \ -H 'Authorization: Bearer <access-token>'[ { "customsCode": "string", "guid": "string", "id": 0, "label": "string" }]GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
customsCode?stringLength
length <= 20guid?stringFormat
guidid?integerFormat
int32label?stringLength
length <= 50curl -X GET 'https://<your-instance>/api/item-lists/customs-codes/0' \ -H 'Authorization: Bearer <access-token>'{ "customsCode": "string", "guid": "string", "id": 0, "label": "string"}DELETE
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32curl -X DELETE 'https://<your-instance>/api/item-lists/customs-codes/0' \ -H 'Authorization: Bearer <access-token>'Empty